Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.workbench
Class PerspectiveRegistry

public class PerspectiveRegistry

Perspective registry.

todo defaultPerspective
pending constructing and storing in separate files new perspectives like Eclipse workbench, category support

Field Summary
`static String` | `CLASS_ATTR`
`static String` | `ICON_ATTR`
`static String` | `ID_ATTR`
`static String` | `NAME_ATTR`
`static String` | `PERSPECTIVE_ELEMENT`
`static String` | `PERSPECTIVE_EXTENSION_ELEMENT`
`static String` | `PERSPECTIVE_EXTENSIONS_EXTENSION_POINT`
`static String` | `PERSPECTIVES_EXTENSION_POINT`
`static String` | `RATIO_ATTR`
`static String` | `RELATIONSHIP_ATTR`
`static String` | `RELATIVE_ATTR`
`static String` | `TARGET_ID_ATTR`
`static String` | `VIEW_ELEMENT`
`static String` | `VIEW_ID_ATTR`
`static String` | `VISIBLE_ATTR`

Constructor Summary
`PerspectiveRegistry()`

Method Summary
`void` | `add(PerspectiveDescriptor descriptor)`
`PerspectiveDescriptor` | `get(String id)`
`PerspectiveDescriptor[]` | `getPerspectives()`
`void` | `remove(PerspectiveDescriptor descriptor)`

Field Detail

### CLASS_ATTR

    public static String CLASS_ATTR

### ICON_ATTR

    public static String ICON_ATTR

### ID_ATTR

    public static String ID_ATTR

### NAME_ATTR

    public static String NAME_ATTR

### PERSPECTIVE_ELEMENT

    public static String PERSPECTIVE_ELEMENT

### PERSPECTIVE_EXTENSION_ELEMENT

    public static String PERSPECTIVE_EXTENSION_ELEMENT

### PERSPECTIVE_EXTENSIONS_EXTENSION_POINT

    public static String PERSPECTIVE_EXTENSIONS_EXTENSION_POINT

### PERSPECTIVES_EXTENSION_POINT

    public static String PERSPECTIVES_EXTENSION_POINT

### RATIO_ATTR

    public static String RATIO_ATTR

### RELATIONSHIP_ATTR

    public static String RELATIONSHIP_ATTR

### RELATIVE_ATTR

    public static String RELATIVE_ATTR

### TARGET_ID_ATTR

    public static String TARGET_ID_ATTR

### VIEW_ELEMENT

    public static String VIEW_ELEMENT

### VIEW_ID_ATTR

    public static String VIEW_ID_ATTR

### VISIBLE_ATTR

    public static String VISIBLE_ATTR

Constructor Detail

### PerspectiveRegistry

    public PerspectiveRegistry()

Method Detail

### add

    public void add(PerspectiveDescriptor descriptor)

### get

    public PerspectiveDescriptor get(String id)

### getPerspectives

    public PerspectiveDescriptor[] getPerspectives()

### remove

    public void remove(PerspectiveDescriptor descriptor)

Association Links

to Class org.apache.log4j.Category

to Class java.util.ArrayList

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM